Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Fri, 24 Mar 2017 10:01:48 +0100

> They occur only when Emacs starts up. They don't happen with `-Q'.
 > On the other hand, they still occur (to a much lesser extent) with
 > `--no-desktop' (in this case it seems (appearance-wise -- I didn't
 > look a the code) that the frame is displayed before the font size
 > is set and then after the font size is set, the frame changes
 > size).

It might be interesting to separate the issues involved here.  I recall
the font size being one major trouble in this context but a good recipe
would be valuable even if we can't do anything about it.

Meanwhile please try my patch.  If after a week or so you don't see any
troubles I intend to make it the default.

martin